import { EntityManager, MikroORM } from '@mikro-orm/core'
import Database from '../database'

export abstract class BaseRepository {
  protected get orm(): MikroORM {
    return Database.getORM()
  }

  protected get em(): EntityManager {
    return Database.getEntityManager()
  }
}